#root,
body,
html {
  width: 100%;
  -webkit-overflow-scrolling: touch;
  margin: 0;
  padding: 0;
  min-height: 100%;
}
#root {
  flex-shrink: 0;
  flex-basis: auto;
  flex-grow: 1;
  display: flex;
  flex: 1;
}
html {
  scroll-behavior: smooth;
  -webkit-text-size-adjust: 100%;
  height: calc(100% + env(safe-area-inset-top));
}
body {
  display: flex;
  overflow-y: auto;
  overscroll-behavior-y: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -ms-overflow-style: scrollbar;
  font-family: Geneva, Verdana, Tahoma, sans-serif;
  color: #353535;
}
iframe {
  width: 100vw;
  height: 100vh;
}
ul {
  margin: 0;
}
li {
  margin: 0.5rem 0;
  font-size: 1.1rem;
}
a {
  text-decoration: none;
  color: white;
}
h1 {
  font-size: 3rem;
  text-align: center;
}
h2 {
  font-size: 2rem;
  text-align: center;
  margin: 0;
  margin-bottom: 1rem;
}
h3 {
  margin: 0;
  color: #D84F6E;
  font-size: 1.55rem;
}
p {
  font-size: 1.5rem;
}
.feature-trackers {
  display: none;
  flex-direction: column;
  justify-content: space-around;
  height: 100%;
  width: 40vw;
  margin: 2.5rem 2.5vw;
  gap: 2.5rem;
}

.feature-tracker {
  padding: .5rem;
  border: 5px solid #e58a9e;
  border-radius: 20px;
  background-color: #f2c5cf;
  display: flex;
  flex-direction: column;
}

.feature-tracker button {
  align-self: center;
  background-color: #D84F6E;
  border: none;
  padding: .5rem 1rem;
  border-radius: 2rem;
  color: white;
  font-size: 1.1rem;
  cursor: pointer;
  font-weight: bold;
  box-shadow: 0 1px 8px #555555;
  margin: 0.5rem 0;
}

.phone {
  width: 100%;
  height: 100%;
}

@media only screen and (min-width: 768px) {
  .feature-trackers {
    display: flex;
  }

  .scene {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    background-color: #f9e2e7;
  }
  .phone, iframe {
    aspect-ratio: 18 / 9;
    max-width: 400px;
    height: 90vh;
    position: fixed;
    top: 5vh;
    right: 2.5vw;
    display: flex;
    flex-direction: column;
    box-shadow: 0 8px 16px black;
    border: 6px solid black;
    border-radius: 4.5vh;
    overflow: hidden;
  }
  .phone .notch {
    position: absolute;
    top: 0;
    align-self: center;
    width: 20vh;
    height: 4.25vh;
    background-color: black;
    border-bottom-left-radius: 2.334vh;
    border-bottom-right-radius: 2.334vh;
    z-index: 1;
  }
}

@media only screen and (min-width: 850px) {
  .feature-trackers {
    width: 45vw;
  }
}

@media only screen and (min-width: 1024px) {
  .feature-trackers {
    width: 50vw;
  }
}

@media only screen and (min-width: 1300px) {
  .feature-trackers {
    flex-direction: row;
    align-items: center;
    width: calc(100% - (400px + 5vw));
    margin: 0;
    gap: 10px;
  }

  .scene {
    padding: 2.5rem;
    gap: 2rem;
  }

  .feature-tracker {
    flex: 1;
  }
}
